%define name iwlwifi-6005-ucode
%define tarname iwlwifi-6000g2a-ucode
%define version 18.168.6.1
%define release %mkrel 1

Summary: Intel PRO/Wireless 6005AGN microcode
Name:	 %{name}
Version: %{version}
Release: %{release}
Source0: http://www.intellinuxwireless.org/iwlwifi/downloads/%{tarname}-%{version}.tgz
License: Proprietary
Group:	 System/Kernel and hardware
Url:	 http://intellinuxwireless.org/
BuildArch: noarch

%description
The file iwlwifi-6000g2a-*.ucode provided in this package is required to be
present on your system in order for the Intel PRO/Wireless 6005AGN Network
Connection Adapter driver for Linux (iwlagn) to be able to operate on
your system.

%prep
%setup -q -n %{tarname}-%{version}

%build

%install
install -d %{buildroot}/lib/firmware
install -m644 *.ucode %{buildroot}/lib/firmware/

%files
%doc LICENSE.* README.*
/lib/firmware/*.ucode


%changelog
* Fri Sep 28 2012 Alexander Khrukin <akhrukin@mandriva.org> 18.168.6.1-1mdv2012.0
+ Revision: 817832
- version update 18.168.6.1

* Mon Nov 07 2011 Andrey Bondrov <abondrov@mandriva.org> 17.168.5.3-1
+ Revision: 725575
- New version 17.168.5.3

* Tue Mar 22 2011 Thomas Backlund <tmb@mandriva.org> 17.168.5.2-1
+ Revision: 647561
- update to 17.168.5.2

* Thu Dec 30 2010 Thomas Backlund <tmb@mandriva.org> 17.168.5.1-1mdv2011.0
+ Revision: 626463
- add ucode 17.168.5.1 and spec file
- Created package structure for iwlwifi-6005-ucode.

